Skip to main content
GET
/
v4
/
taxes
/
userTaxSetup
Get tax profile
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/taxes/userTaxSetup \
  --header 'Authorization: Bearer <token>'
{
  "federalFilingStatus": "SINGLE",
  "stateFilingStatus": "SINGLE",
  "taxState": "DC",
  "annualW2Income": 10000,
  "isSetupComplete": false,
  "useW2Withholding": true,
  "federalW2Withholding": 1000.51,
  "stateW2Withholding": 1000.51,
  "numExemptions": 1,
  "useHomeOfficeDeduction": true,
  "homeOfficeArea": 250.5,
  "vehicleBusinessPercent": 49.9,
  "useMileageDeduction": false,
  "useUserEstimatedBusinessMileage": true,
  "userEstimatedBusinessMileage": 123,
  "useUserEstimatedBusinessExpenses": true,
  "userEstimatedBusinessExpenses": 123,
  "tipIncome": 5000,
  "overtimeIncome": 3000,
  "numOtherDependents": 123,
  "numStateDependents": 123,
  "numStateOtherDependents": 123,
  "externalId": "<string>",
  "idPrefix": "COMPANY"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Success

federalFilingStatus
enum<string>
required

The Tax Federal Filing Status

Available options:
SINGLE,
MARRIED,
MARRIED_SEPARATELY,
HEAD,
WIDOWER
Example:

"SINGLE"

stateFilingStatus
enum<string>
required

The Tax State Filing Status

Available options:
SINGLE,
MARRIED,
MARRIED_SEPARATELY,
HEAD,
WIDOWER
Example:

"SINGLE"

taxState
string
required

The two-character State (or Province) abbreviation for which tax needs to be calculated on

Example:

"DC"

annualW2Income
number

The annual W-2 income total for which tax needs to be calculated on

Example:

10000

isSetupComplete
boolean

Whether or not the current user's tax profile is complete

Example:

false

useW2Withholding
boolean

Should be set to true if the user wants to specify their own W-2 Withholding amounts

Example:

true

federalW2Withholding
number

Federal W-2 Withholding amount, if the user wants to specify their own custom amount

Example:

1000.51

stateW2Withholding
number

State W-2 Withholding amount, if the user wants to specify their own custom amount

Example:

1000.51

numExemptions
integer<int32>

The number of state personal exemptions the tax filer qualifies for

Example:

1

useHomeOfficeDeduction
boolean

If the user wants to use the Simplified Home Office Deduction, this should be set to true.

Example:

true

homeOfficeArea
number

Size of home office in sq. ft; required if using the Simplified Home Office Deduction

Example:

250.5

vehicleBusinessPercent
number

Canadian users can provide their own business vehicle percentage (instead of using the mileage numbers to determine percentage)

Example:

49.9

useMileageDeduction
boolean

The IRS dictates that you can only use the Standard Mileage Rate or Actual Auto Expenses. Set this to true if the user will be using the Standard Mileage Rate

Example:

false

useUserEstimatedBusinessMileage
boolean
userEstimatedBusinessMileage
number
useUserEstimatedBusinessExpenses
boolean
userEstimatedBusinessExpenses
number
tipIncome
number

The year-to-date amount of w2 income that the filer has earned from tips

Example:

5000

overtimeIncome
number

The year-to-date amount of w2 income that the filer has earned from overtime

Example:

3000

numOtherDependents
integer<int32>
numStateDependents
integer<int32>
numStateOtherDependents
integer<int32>
externalId
string
idPrefix
enum<string>
Available options:
COMPANY,
EMPLOYEE,
CLASS_SEGMENT,
CLASS_LABEL,
CUSTOMER,
BANK_ACCOUNT,
GL_ACCOUNT,
TRANSACTION_CATEGORY,
BANK_TRANSACTION,
PROCESSOR_TRANSACTION,
TRANSACTION_LINE_ITEM,
VENDOR,
TRANSACTION_RULE,
REVENUE_RULE,
INVOICE,
INVOICE_LINE_ITEM,
BILL,
BILL_LINE_ITEM,
PAYROLL,
PAYROLL_LINE_ITEM,
FINANCIAL_SUMMARY,
TASK,
CONVERSATION,
MESSAGE,
REACTION,
BUSINESS_TYPE,
TEMPLATE_CLASS_LABEL,
TEMPLATE_COA,
TEMPLATE_GL_ACCOUNT,
TEMPLATE_TRANSACTION_RULES,
MANUAL_JOURNAL_ENTRY,
GL_TRANSACTION,
ATTACHMENT,
CAR,
MILEAGE,
INTEGRATION,
TIME,
TIME_TYPE,
TAX_RETURN